API ReferenceUsers
Retrieve user information
Analytics Events
USER_USERINFO_RETRIEVE_STARTUSER_USERINFO_RETRIEVE_SUCCESSUSER_USERINFO_RETRIEVE_FAIL
GET
/v1/userinfoRetrieves information about the currently authenticated user.
Analytic events
- USER_USERINFO_RETRIEVE_START
- USER_USERINFO_RETRIEVE_SUCCESS
- USER_USERINFO_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/json
curl -X GET "https://manage.mattr.global/v1/userinfo"{
"id": "8f6d40a9-d913-45e8-aa3e-8c99d62cd8fb",
"email": "john-doe@example.com",
"name": "John Doe",
"pricingPlan": {
"type": "Standard",
"endDate": "2019-08-24T14:15:22Z"
},
"status": "Active",
"connectionStrategy": "auth0"
}Empty
Empty
How would you rate this page?
Update user information PUT
Updates the information of the currently authenticated user. ### **Analytic events** * USER_USERINFO_UPDATE_START * USER_USERINFO_UPDATE_SUCCESS * USER_USERINFO_UPDATE_FAIL
Create a client POST
Creates a new client for the requested tenant. ### **Analytic events** * TENANT_CLIENT_CREATE_START * TENANT_CLIENT_CREATE_SUCCESS * TENANT_CLIENT_CREATE_FAIL